<div class="modal">
        <button type="button" class="close" (click)="closeModal()">
            <span aria-hidden="true">&times;</span>
        </button>
        <div class="all-in-one-table">
            <elastic-page-header [height]="'100px'" background="url(assets/img/demo/headers/pattern-3.png)"
                [reverse]="true">
            </elastic-page-header>
        </div>
    <h1 *ngIf="modalType.modalType == 'add'">Agregar</h1>
    <h1 *ngIf="modalType.modalType == 'edit'">Editar</h1>
    <div class="all-in-one-table">
        <mat-card>
            <form (ngSubmit)="onSubmit()" [formGroup]="formGroup" class="form-modal" fxLayout="column" fxFlex="100%">
                <mat-form-field fxFlex>
                    <mat-label>Nombre</mat-label>
                    <input (input)="changeValidation()" (click)="changeValidation()" matInput placeholder="Ingrese el nombre de la estación"
                        formControlName="name" type="text">
                </mat-form-field>
                <div *ngIf="formGroup.controls.name.touched">
                    <div *ngIf="stationFormErrors.name">
                        <p *ngIf="stationFormErrors.name.status" class="fontError mtFontError">
                            {{stationFormErrors.name.message}}</p>
                    </div>
                </div>

                <mat-form-field fxFlex>
                    <mat-label>Dirección</mat-label>
                    <input (input)="changeValidation()" (click)="changeValidation()" matInput placeholder="Ingrese la dirección de la estación"
                        formControlName="address" type="text">
                </mat-form-field>
                <div *ngIf="formGroup.controls.address.touched">
                    <div *ngIf="stationFormErrors.address">
                        <p *ngIf="stationFormErrors.address.status" class="fontError mtFontError">
                            {{stationFormErrors.address.message}}</p>
                    </div>
                </div>

                <mat-form-field fxFlex>
                    <mat-label>Capacidad</mat-label>
                    <input (input)="changeValidation()" (click)="changeValidation()" matInput
                        placeholder="Ingrese la capacidad máxima de la estación" formControlName="bikesCapacity"
                        type="text">
                </mat-form-field>
                <div *ngIf="formGroup.controls.bikesCapacity.touched">
                    <div *ngIf="stationFormErrors.bikesCapacity">
                        <p *ngIf="stationFormErrors.bikesCapacity.status" class="fontError mtFontError">
                            {{stationFormErrors.bikesCapacity.message}}</p>
                    </div>
                </div>

                <div *ngIf="modalType.modalType == 'edit'">
                    <p class="inputText">Estado de la estación</p>
                    <mat-slide-toggle [checked]="modalStationInfo.state" formControlName="state">
                        <span *ngIf="formGroup.value.state">Activo</span>
                        <span *ngIf="!formGroup.value.state">Inactivo</span>
                    </mat-slide-toggle>
                </div>

                <p class="inputText">Horario de operación</p>
                <div style="display: flex;">
                    <ngx-timepicker-field [defaultTime]="hoursA" (timeChanged)="addFormGroup($event, 'openingTime')"
                        (timeChanged)="changeValidation()">
                    </ngx-timepicker-field>
                    <ngx-timepicker-field [defaultTime]="hoursB" (timeChanged)="addFormGroup($event, 'closingTime')"
                        (timeChanged)="changeValidation()">
                    </ngx-timepicker-field>
                </div>
                <div *ngIf="formGroup.controls.closingTime.touched || formGroup.controls.openingTime.touched">
                    <div *ngIf="stationFormErrors.closingTime || stationFormErrors.openingTime">
                        <p *ngIf="stationFormErrors.closingTime.status || stationFormErrors.openingTime.status"
                            class="fontError">
                            {{stationFormErrors.closingTime.message || stationFormErrors.openingTime.message}}</p>
                    </div>
                </div>


                <mat-card>
                    <!-- this creates a google map on the page with the given lat/lng from -->
                    <!-- the component as the initial center of the map: -->

                    <p class="inputText">Ubicación de la estación</p>
                    <agm-map [latitude]="latitude" [longitude]="longitude" [zoom]="modalStationInfo?17:10" (mapClick)="ubication($event)">
                        <agm-marker (dragEnd)="ubication($event)" [latitude]="modalStationInfo?latitude:''" [longitude]="modalStationInfo?longitude:''"
                            [markerDraggable]=true [opacity]=0.8></agm-marker>
                    </agm-map>
                    <div *ngIf="formGroup.controls.longitude.touched">
                        <div *ngIf="stationFormErrors.longitude">
                            <p *ngIf="stationFormErrors.longitude.status" class="fontError">
                                {{stationFormErrors.longitude.message}}</p>
                        </div>
                    </div>
                </mat-card>

                <div class="example-button-row">
                    <button mat-raised-button color="primary" (click)="closeModal()">Cancel</button>
                    <button class="marginButton" mat-raised-button color="primary" type="submit"
                        *ngIf="modalType.modalType == 'add'">Agregar</button>
                    <button class="marginButton" mat-raised-button color="primary" type="submit"
                        *ngIf="modalType.modalType == 'edit'">Editar</button>
                </div>
            </form>
        </mat-card>
    </div>
</div>